Bug 1121236

Summary: [abrt] xfwm4: _XFreeReplyData(): xfwm4 killed by SIGABRT
Product: [Fedora] Fedora Reporter: Florian "der-flo" Lehner <dev>
Component: xfwm4Assignee: Kevin Fenzi <kevin>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: kevin, nonamedotc
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/ca6e8b79a0de07038ff95db81d15aa1f22e5f807
Whiteboard: abrt_hash:fa51e1974081e2144b02d2e5a6c99b34bd5a0521
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-30 01:05:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: proc_pid_status
none
File: var_log_messages none

Description Florian "der-flo" Lehner 2014-07-18 17:35:07 UTC
Version-Release number of selected component:
xfwm4-4.10.1-2.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        xfwm4 --display :0.0 --sm-client-id 298b9b5e0-b50f-4a96-bda0-9dfe9b7be9fc
crash_function: _XFreeReplyData
executable:     /usr/bin/xfwm4
kernel:         3.15.4-200.fc20.x86_64
open_fds:       
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 _XFreeReplyData at xcb_io.c:557
 #6 _XReadPad at xcb_io.c:752
 #7 XGetWindowProperty at GetProp.c:96
 #8 getUTF8StringData at hints.c:702
 #9 getWindowName at hints.c:897
 #10 clientUpdateName at client.c:210
 #11 handlePropertyNotify at events.c:1777
 #12 handleEvent at events.c:2286
 #13 xfwm4_event_filter at events.c:2345
 #14 eventXfwmFilter at event_filter.c:158

Comment 1 Florian "der-flo" Lehner 2014-07-18 17:35:11 UTC
Created attachment 919144 [details]
File: backtrace

Comment 2 Florian "der-flo" Lehner 2014-07-18 17:35:12 UTC
Created attachment 919145 [details]
File: cgroup

Comment 3 Florian "der-flo" Lehner 2014-07-18 17:35:13 UTC
Created attachment 919146 [details]
File: core_backtrace

Comment 4 Florian "der-flo" Lehner 2014-07-18 17:35:15 UTC
Created attachment 919147 [details]
File: dso_list

Comment 5 Florian "der-flo" Lehner 2014-07-18 17:35:16 UTC
Created attachment 919148 [details]
File: environ

Comment 6 Florian "der-flo" Lehner 2014-07-18 17:35:17 UTC
Created attachment 919149 [details]
File: limits

Comment 7 Florian "der-flo" Lehner 2014-07-18 17:35:19 UTC
Created attachment 919150 [details]
File: maps

Comment 8 Florian "der-flo" Lehner 2014-07-18 17:35:20 UTC
Created attachment 919151 [details]
File: proc_pid_status

Comment 9 Florian "der-flo" Lehner 2014-07-18 17:35:21 UTC
Created attachment 919152 [details]
File: var_log_messages

Comment 10 Kevin Fenzi 2014-07-19 19:18:10 UTC
What were you doing when this happened?

Can you duplicate the crash?

Comment 11 Florian "der-flo" Lehner 2014-07-19 19:28:39 UTC
Sorry, I don't know what I was doing. That's why I can not reproduce the crash.

Comment 12 Fedora End Of Life 2015-05-29 12:24:31 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-30 01:05:40 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.